Subject: [PATCH rust-team v3 00/73] Building starship

From: Aaron Covrig <[email-masked]>
Date: Mon, 2 Dec 2024 21:59:40 -0500

Thank Jordan for this! I've made a few linting changes and modified
several packages to utilize the `inherit` attribute; additionally, I've
taken the liberty to add and update a few packages.

I believe this needs to be sent against the `rust-team` branch
(confusingly, I believe some documenation does refer to it as
`rust-branch`, but the actual git branch is `rust-team`). In addition to
needing to be on the correct branch when sending in a patch,
git:send-email also needs to be given an updated subject prefix with the
branch name. For this message round, I'm planning to use something like:
```bash
git send-email -73 -v3 -a --base=auto \
    --subject-prefix='PATCH rust-team' \
    --to=[email-masked]
```
Or, more specifically (for this instance):
```bash
git format-patch -73 --subject-prefix='PATCH rust-team' -v3 -o outgoing
--cover-letter --base=auto
git send-email outgoing/*.patch --to=[email-masked]
```

> I frequently refer to the following section of the Guix manual for
> this:
> https://guix.gnu.org/manual/devel/en/html_node/Sending-a-Patch-Series.html

A summary of the modifications:

Build changes:
* Update the commit order so that each commit is 'standalone' (all
* dependencies come before it)
* rust-any-all-workaround-0.1 (enable building)
* rust-coverage-helper-0.2 (fix build)
* rust-pest-meta-2 (fix build) (could be made more robust by refering
to self version in pest substitutions)

New packages:
* rust-derive-utils-0.14
* rust-coverage-helper-0.1
* rust-libtest-mimic-0.8
* rust-libtest-mimic-0.4
* rust-shadow-rs-0.36
* rust-target-triple-0.1
* rust-which-7

Adjusted tests:
* rust-auto-enums (tests require nightly/dev features)
* rust-notify-rust-4
* rust-starship-battery-0.10
* rust-systemstat-0.2
* rust-which-6

Bumped versions:
* rust-approx-0.5 to v0.5.1
* rust-encoding-rs-0.8 to v0.8.35
* rust-fastrand-2 to v2.2.0
* rust-hashbrown-0.15 to v0.15.2
* rust-hashbrown-0.14 to v0.14.5
* rust-hashlink-0.9 to v0.9.1
* rust-hashlink-0.8 to v0.8.4
* rust-macrotest-1 to v1.0.13
* rust-miette-7 to v7.4.0
* rust-miette-derive-7 to v7.4.0
* rust-mockall-double-3 to v3.1
* rust-terminal-size-0.4 to v0.4.1
* rust-trybuild-1 to v1.0.101
* rust-unicode-width-0.1 to v0.1.14

Aaron Covrig (22):
  gnu: rust-approx: Upgrade to v0.5.1
  gnu: rust-target-triple: Add v0.1.3
  gnu: rust-any-all-workaround: enable building
  gnu: rust-encoding-rs: Upgrade to v0.8.35
  gnu: rust-fastrand: Upgrade to version 2.2.0
  gnu: rust-hashlink: Upgrade to v0.8.4
  gnu: rust-hashlink: Upgrade to v0.9.1
  gnu: rust-hashbrown: Upgrade v0.14
  gnu: rust-hashbrown: Upgrade v0.15
  gnu: rust-libtest-mimic: Add v0.4.1
  gnu: rust-libtest-mimic: Add v0.8.1
  gnu: rust-derive-utils: Add v0.14.2
  gnu: rust-macrotest: Upgrade to v1.0.13
  gnu: rust-mockall-double: Upgrade to v0.3.1
  gnu: rust-trybuild: Upgrade to v1.0.101
  gnu: rust-windows-core-0.58: Enable building
  gnu: rust-unicode-width: Bump v0.1 to v0.1.14
  gnu: Add rust-coverage-helper-0.1.
  gnu: rust-miette-derive: Upgrade to v7.4.0
  gnu: rust-miette: Upgrade to v7.4.0
  gnu: rust-which-7: Add v7.0.0
  gnu: rust-either-1: Upgrade to v1.13.0

Jordan Moore (51):
  gnu: Add rust-pathsearch-0.2.
  gnu: Add rust-termwiz-0.15.
  gnu: Add rust-deelevate-0.2.
  gnu: rust-dunce-1: Update to 1.0.5.
  gnu: Add rust-winsafe-0.0.19.
  gnu: rust-windows-implement: Add v0.56.0.
  gnu: Add rust-windows-interface-0.56.
  gnu: Add rust-windows-version-0.1.
  gnu: Add rust-windows-core-0.56.
  gnu: Add rust-windows-0.56.
  gnu: Add rust-tauri-winrt-notification-0.2.
  gnu: Add rust-mac-notification-sys-0.6.
  gnu: Add rust-arraydeque-0.5.
  gnu: Add rust-auto-enums-0.8.
  gnu: Add rust-terminal-size-0.4.
  gnu: Add rust-unicode-width-0.2.
  gnu: Add rust-trim-in-place-0.1.
  gnu: rust-unicode-segmentation-1: Update to 1.12.0.
  gnu: rust-clap-builder-4: Update to 4.5.21.
  gnu: rust-clap-4: Update to 4.5.21.
  gnu: rust-clap-complete-4: Update to 4.5.38.
  gnu: Add rust-coverage-helper-0.2.
  gnu: Add rust-dlv-list-0.5.
  gnu: Add rust-guess-host-triple-0.1.
  gnu: Add rust-mockall-derive-0.13.
  gnu: Add rust-mockall-0.13.
  gnu: rust-color-backtrace: Add v0.6.1
  gnu: rust-indexmap-2: Update to 2.6.0.
  gnu: Add rust-notify-rust-4.
  gnu: rust-open-5: Update to 5.3.1.
  gnu: Add rust-ordered-multimap-0.7.
  gnu: rust-pest-2: Update to 2.7.14.
  gnu: rust-pest-meta-2: Update to 2.7.14.
  gnu: rust-pest-generator-2: Update to 2.7.14.
  gnu: rust-pest-derive-2: Update to 2.7.14.
  gnu: Add rust-process-control-5.
  gnu: Add rust-rust-ini-0.21.
  gnu: rust-serde-json-1: Update to 1.0.133.
  gnu: Add rust-shadow-rs-0.36
  gnu: Add rust-shadow-rs-0.35
  gnu: Add rust-uom-0.36.
  gnu: rust-strsim-0.11: Update to 0.11.1.
  gnu: Add rust-starship-battery-0.10.
  gnu: Add rust-systemstat-0.2.
  gnu: rust-toml-edit-0.22: Update to 0.22.22.
  gnu: Add rust-versions-6.
  gnu: Add rust-wasite-0.1.
  gnu: rust-which-6: Update to 6.0.3.
  gnu: rust-whoami-1: Update to 1.5.2.
  gnu: Add rust-yaml-rust2-0.9.
  gnu: Add starship.

 gnu/packages/crates-apple.scm   |   26 +
 gnu/packages/crates-io.scm      | 1293 +++++++++++++++++++++++++------
 gnu/packages/crates-windows.scm |  177 ++++-
 gnu/packages/shellutils.scm     |  137 ++++
 4 files changed, 1376 insertions(+), 257 deletions(-)

base-commit: 31e7d5d0d7e7fea677ad18496b8b9d80683891f4
-- 
2.47.0